Email::Sender::Transport::SMTP::Persistent(3)

NAME
Email::Sender::Transport::SMTP::Persistent - an SMTP client that stays online

VERSION
version 1.300030

DESCRIPTION
The stock Email::Sender::Transport::SMTP reconnects each time it sends a message. This transport only reconnects when the existing connection fails.

METHODS

  disconnect
  $transport->disconnect;

This method sends an SMTP QUIT command and destroys the SMTP client, if on exists and is connected.

AUTHOR
Ricardo Signes <rjbs@cpan.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2016 by Ricardo Signes.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.